#ifndef FVSP_H
#define FVSP_H

#include <stdbool.h>

/* Convert a Perl version value into RPM version string format.
 * @input is Perl version string, fraction or dotted one. Empty string is
 * equaled to "0".
 * @shorten is true to cut trailing zero groups. If no digit would remain,
 * empty string will be returned.
 * @return RPM-compatible version string or NULL in case of error. Caller is
 * responsible for deallocating the value by free(3). */
char *vsp(const char *input, _Bool shorten);
#endif
